package org.prelle.user;

import java.util.HashMap;
import java.util.Map;

/**
 * ConfigUser.java
 *
 *
 * @author  Stefan Prelle
 * @version $Id$
 */

public class ConfigUser {

	private String login, passwd, username;
	private int    access;
	
	private Map<String, Object> properties;

	//--------------------------------------------------
	public ConfigUser(String login, String passwd, int level) {
		this.login = login;
		this.passwd= passwd;
		this.access= level;
		properties = new HashMap<String, Object>();
	}

	//--------------------------------------------------
	public ConfigUser(String login, String passwd, int level, String uname) {
		this.login = login;
		this.passwd= passwd;
		this.access= level;
		username   = uname;
		properties = new HashMap<String, Object>();
	}

	//--------------------------------------------------
	public int getAccessLevel() {
		return access;
	}

	//--------------------------------------------------
	public String getLogin() {
		return login;
	}

	//--------------------------------------------------
	String getPassword() {
		return passwd;
	}

	//--------------------------------------------------
	public boolean matchesPassword(String test) {
		return passwd.equals(test);
	}

	//--------------------------------------------------
	public String getName() {
		return username;
	}

	//--------------------------------------------------
	public String toString() {
		if (username==null)
			return login;
		return username;
	}

	//--------------------------------------------------
	public void setProperty(String key, Object value) {
		properties.put(key, value);
	}

	//--------------------------------------------------
	public Object getProperty(String key) {
		return properties.get(key);
	}


}// ConfigUser
